Skip to content

Update Scenario

PATCH
/api/v1/replay/scenarios/{scenario_id}
curl --request PATCH \
--url https://api.ultimateteam.ai/api/v1/replay/scenarios/example \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "archived": true, "name": "example", "note": "example", "shared_with_tenant": true, "tags": [ "example" ] }'

Update the name, note, tags, archive state, or share flag.

Phase 194-01 REPLAY-SURFACE-01: any subset of name, note, tags, archived, shared_with_tenant may be supplied. None on any field means “do not touch”.

scenario_id
required
Scenario Id
string
Media typeapplication/json
UpdateScenarioRequest
object
archived
Any of:
boolean
name
Any of:
string
note
Any of:
string
shared_with_tenant
Any of:
boolean
tags
Any of:
Array<string>
<= 20 items
Examplegenerated
{
"archived": true,
"name": "example",
"note": "example",
"shared_with_tenant": true,
"tags": [
"example"
]
}

Successful Response

Media typeapplication/json
ScenarioResponse
object
archived_at
Any of:
string
created_at
required
Created At
string
decision_id
required
Decision Id
string
horizon_months
required
Horizon Months
integer
id
required
Id
string
name
required
Any of:
string
narrative
required
Any of:
string
note
required
Any of:
string
shared_with_tenant
Shared With Tenant
boolean
status
required
Status
string
tags
Tags
Array<string>
Example
{
"shared_with_tenant": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}